LibreOffice: XFilterGroupManager Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFilterGroupManager Interface Referencepublished

Specifies an interface which allows manipulation of groups of filters for the FilePicker service. More...

Inheritance diagram for XFilterGroupManager:

## Public Member Functions
void | appendFilterGroup ([in] string sGroupTitle, [in] sequence< com::sun::star::beans::StringPair > aFilters) raises ( com::sun::star::lang::IllegalArgumentException )
| Appends a group of filters to the current filter list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Specifies an interface which allows manipulation of groups of filters for the FilePicker service.

## Member Function Documentation

## ◆ appendFilterGroup()

void appendFilterGroup | ( | [in] string | sGroupTitle,
|  | [in] sequence< com::sun::star::beans::StringPair > | aFilters
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Appends a group of filters to the current filter list.

It is implementation dependent how the filter groups are presented to the user.
It is not even guaranteed that the groups are visualized: implementations are free to simply append all the filters separately, with ignoring the group title.

Parameters

  sGroupTitle | The title of the filter group. Usually, the caller should localize this title, as it is to be presented to the user.
  aFilters | The filters which form a group. Every filter consists of two strings, where the first one is a display name (as for sGroupTitle, it holds that these strings should be localized), and the second one the semicolon separated list of wildcard expressions for the filter. Usually, the expressions are simply extensions (e.g. "*.txt"), but this must no necessarily be the case.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if one or more filters in the given filter list already exist.

See also
  com::sun::star::ui::dialogs::XFilterManager
  com::sun::star::ui::dialogs::FilePicker

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilterGroupManager.idl